package workerthreads.changedates;

/**
 * stores info which is needed to perform update of one date in database
 * 
 * @author Martin Pabst, 2009
 * 
 */

public class DateInfo {
	/**
	 * new value for date given as String
	 */
	private String date;

	/**
	 * database-id of table-row
	 */
	private String id;

	/**
	 * constructor
	 * 
	 * @param date
	 * @param id
	 */
	public DateInfo(String date, String id) {
		super();
		this.date = date;
		this.id = id;
	}

	/**
	 * returns new date
	 * 
	 * @return
	 */
	public String getDate() {
		return date;
	}

	/**
	 * set new date
	 * 
	 * @param date
	 */
	public void setDate(String date) {
		this.date = date;
	}

	/**
	 * returns database-id of table-row
	 * 
	 * @return
	 */
	public String getId() {
		return id;
	}

	/**
	 * set database-id of table-row
	 * 
	 * @param id
	 */
	public void setId(String id) {
		this.id = id;
	}
}
